import type { IMaterial } from "babylonjs-gltf2interface";
import type { IGLTFExporterExtensionV2 } from "../glTFExporterExtension.js";
import { GLTFExporter } from "../glTFExporter.js";
import type { Material } from "@babylonjs/core/Materials/material.js";
import type { BaseTexture } from "@babylonjs/core/Materials/Textures/baseTexture.js";
/**
 * @internal
 */
export declare class EXT_materials_diffuse_roughness implements IGLTFExporterExtensionV2 {
    /** Name of this extension */
    readonly name = "EXT_materials_diffuse_roughness";
    /** Defines whether this extension is enabled */
    enabled: boolean;
    /** Defines whether this extension is required */
    required: boolean;
    private _exporter;
    private _wasUsed;
    constructor(exporter: GLTFExporter);
    dispose(): void;
    /** @internal */
    get wasUsed(): boolean;
    postExportMaterialAdditionalTextures?(context: string, node: IMaterial, babylonMaterial: Material): BaseTexture[];
    postExportMaterialAsync?(context: string, node: IMaterial, babylonMaterial: Material): Promise<IMaterial>;
}
