import type { IBufferView, IAccessor } from "babylonjs-gltf2interface";
import type { MorphTarget } from "@babylonjs/core/Morph/morphTarget.js";
import type { BufferManager } from "./bufferManager.js";
import type { AbstractMesh } from "@babylonjs/core/Meshes/abstractMesh.js";
/**
 * Interface to store morph target information.
 * @internal
 */
export interface IMorphTargetData {
    attributes: Record<string, number>;
    influence: number;
    name: string;
}
export declare function BuildMorphTargetBuffers(morphTarget: MorphTarget, mesh: AbstractMesh, bufferManager: BufferManager, bufferViews: IBufferView[], accessors: IAccessor[], convertToRightHanded: boolean): IMorphTargetData;
